Subject: Re: Multiple remote.<...>.fetch and .push patterns

From: Junio C Hamano <[email-masked]>
Date: Tue, 01 Jul 2008 02:27:58 -0700

Michael J Gruber <[email-masked]> writes:

> The files under remotes are the old way of configuring remotes (see
> git help push). The new are config lines in the remotes section, as
> written by "git remote". I don't think "git remote" can write the
> lines you want, so I'd suggest:
>
> git config remote.ko.url kernel.org:/pub/scm/git/git.git
> git config remote.ko.fetch refs/heads/master:refs/tags/ko-master
> git config --add remote.ko.fetch refs/heads/next:refs/tags/ko-next
> git config --add remote.ko.fetch refs/heads/maint:refs/tags/ko-maint

I'd actually suggest:

	$ edit .git/config

and create this section:

        [remote "ko"]
                url = master.kernel.org:/pub/scm/git/git.git/
                fetch = +refs/heads/*:refs/remotes/ko/*
                push = heads/master
                push = heads/next
                push = +heads/pu
                push = heads/maint

(I used to say ko-master but these days I say ko/master).